﻿* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.my-body {
    width: 100%;
    overflow: hidden;
    position: relative;
    min-height: 600px;
}

.boxMagazineTitle {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    position: absolute;
    top: 5%;
    left: 50%;
    transform: translate(-50%, 0);
}

.titlePage {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    max-width: 400px;
    margin: 0 auto;
    color: black;
    padding-bottom: 10px;
    font-family: 'Estedad-Bold';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
}

.lineTitle {
    width: 10%;
    min-width: 150px;
    height: 4px;
    border-radius: 10px;
    background-color: red;
}

.box-swiper {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 500px;
    margin: 0 auto;
    width: 70% !important;
    height: fit-content;
    padding: 10px 30px;
    overflow:hidden;
}

.swiper {
    width: 100%;
    height: 400px;
    text-align :center !important;
    margin-top:100px;
    margin-bottom:100px;
    padding:0 !important;
}
.swiper-slide{
    width :230px !important;
    height:380px !important;
    cursor:pointer;
    position:relative;
}

.imageMagazineCover{
    width:100% !important;
    height:80%;
    position:absolute;
    top:0;
    left:0
}
.titleMagazineCover {
    font-family: 'Estedad-Bold';
    font-size: 18px;
    width:100%;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0);
}

.swiper-button-prev, .swiper-container-rtl .swiper-button-next {
    left: 5% !important;
    background-image: url(./images/next.png) !important;
}
.swiper-button-next, .swiper-container-rtl .swiper-button-prev {
    right: 5% !important;
    background-image: url(./images/prev.png) !important ;
    left: auto;
}
.swiper-pagination {
    margin: 10px 10% !important;
}
.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    content: 'prev';
    display:none;
}
.overflow {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(8px); 
    position: fixed;
    top: 0;
    display: none;
    z-index: 10;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.4); 
}


.pop-up {
    padding: 30px 0;
    margin: 5% auto;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-family: sans-serif;
    border-radius: 20px;
    position: fixed;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100vh;
    box-shadow: 0 0 10px 1px rgba(199, 199, 199, 0.692);
    background-color: white;
    border-radius: 20px;
    border: 1px solid rgba(149, 149, 149, 0.25);
    box-shadow: 0 0 15px 9px rgba(46, 35, 35, 0.25);
    z-index: 20;
    color: white;
}


.book {
    position: relative;
    width: 350px;
    height: 500px;
    transition: transform 0.8s;
    margin-top: 10px;
}

.button-close {
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
    background-color: transparent;
    padding: 2px;
    border-radius: 20px;
    border: none;
}
.box-buttons{
    display:flex;
    flex-direction:row-reverse;
    align-items:center;
    justify-content:center;
}
.close {
    width: 25px;
    background-color: #e8c0c0;
    padding: 2px;
    border-radius: 50%;
}

    .close:hover {
        scale: 1.1;
        /* opacity: 50%; */
        background-color: #ed4c4c;
    }

.paper {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    perspective: 1900px;
    z-index: 10000;
}

.front,
.back {
    background-color: white;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    transform-origin: right;
    transition: transform 1.5s;
}

.front {
    z-index: 1;
    backface-visibility: hidden;
    border-right: 3px solid rgb(178, 176, 176);
}

.back {
    backface-visibility: hidden;
    z-index: 0;
}

.front-content,
.back-content {
    width: 100%;
    height: 99%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #a4a2a2f2;
    padding:1px;
}

.back-content {
    border-radius: 0px 5px 5px 0px;
    transform: rotateY(-180deg);
}
.front-content {
    border-radius: 5px 0px 5px 0px;
}
.flipped .front,
.flipped .back {
    transform: rotateY(180deg);
}

.w-svg {
    width: 10px;
}

.buttons {
    border: none;
    margin: 10px;
    background-color: transparent;
    cursor: pointer;
    transition: transform 1.5s;
    z-index: 150;
}

    .buttons:focus {
        outline: none;
    }
    .buttons img {
        width:28px;
    }
.icon-btn:hover {
    opacity: 60%;
}


.img-pdf {
    width: 100%;
    height: 100%;
}

.time-date {
    color: black !important;
    font-family: 'Estedad-Bold';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    margin:5px 0 0 0;
    color:dimgrey !important;
}
.time-date:hover{
    color:red !important;
}
.box-loader {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3000000;
    background-color: white;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    transition: all 0.8s ease;
}
    .box-loader p {
        color: black !important;
        font-family: 'Estedad-Bold';
        font-size: 10px;
        font-style: normal;
        position: absolute;
        top: 58%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
/* From Uiverse.io by vinodjangid07 */
.loader {
    direction: ltr !important;
    z-index: 200000;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.book-wrapper {
    width: 70px;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
}

.bookLoading {
    width: 100%;
    height: auto;
    filter: drop-shadow(10px 10px 5px rgba(0, 0, 0, 0.137));
}

.book-wrapper .book-page {
    width: 50%;
    height: auto;
    position: absolute;
    animation: paging 1s linear infinite;
    transform-origin: left;
}

@keyframes paging {
    0% {
        transform: rotateY(0deg) skewY(0deg);
    }

    50% {
        transform: rotateY(90deg) skewY(-20deg);
    }

    100% {
        transform: rotateY(180deg) skewY(0deg);
    }
}
/* دایره زوم */
.zoom-circle {
    position: absolute;
    width: 300px;
    height: 300px;
    border-radius: 50%;
    border: 2px solid #ccc;
    overflow: hidden;
    pointer-events: none; 
    display: none;
    z-index: 1000;
    background-size: 100%;
    background-repeat: no-repeat;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}



/* Responsive Design */
@media (min-width: 901px) {
    .book {
        width: 45%;
        height: 480px;
    }

    .pop-up {
        max-width: 90%;
        height: 600px;
    }

    .w-svg {
        width: 20px;
    }
}

@media (max-width: 900px) {
    .book {
        width: 37%;
        height: 450px;
    }

    .pop-up {
        max-width: 95%;
        height: 600px;
    }

    .w-svg {
        width: 15px;
    }
}

@media (max-width: 400px) {
    .book {
        width: 40%;
        height: 300px;
    }

    .pop-up {
        max-width: 90%;
        height: 400px;
    }
}



@media (min-width: 451px) and (min-width: 900px) {
    .titlePage {
        font-size: 25px;
    }

    .box-swiper {
        margin-top: 10px;
    }

    .swiper-button-prev, .swiper-container-rtl .swiper-button-next {
        left: 10% !important;
        top: 40%;
    }

    .swiper-button-next, .swiper-container-rtl .swiper-button-prev {
        right: 10% !important; 
        top: 40%;
        left: auto;
    }

    .swiper-pagination {
        margin: 10px auto !important;
    }
    .time-date {
        font-size: 18px;
    }
}


@media (min-width: 901px) {
    .titlePage {
        font-size: 25px;
    }

    .swiper-button-prev, .swiper-container-rtl .swiper-button-next {
        left: 10%;
        top: 40%;
    }

    .swiper-button-next, .swiper-container-rtl .swiper-button-prev {
        right: 10%;
        top: 40%;
        left: auto;
    }

    .swiper-pagination {
        margin: 10px auto !important;
    }
    .time-date {
        font-size: 20px;
    }
}
